当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-04-16 16:13 
头像

注册: 2006-11-15 9:35
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
我换了emacs22 23两个版本 在多个电脑上xp下安装,在配置jde和ecb时出现如下错误
Warning (initialization): An error occurred while loading `c:/Emacs/_emacs':
Wrong number of arguments: #[(form val type) \305!\2032 \307!"\310
"\311>\204
\2020\315 DC\316
#E))\207 \207 [type val res temp form cl-const-expr-p cl-make-type-test cl-const-expr-val cl-expr-contains (nil 1) cl-simple-expr-p make-symbol --cl-var-- let subst] 6], 2


_emacs文件配置
;; Java Development Enviroment
;;------------------------------------------------------------------------------
(add-to-list 'load-path (expand-file-name "C:/Emacs/site-lisp/jde-2.3.5.1/lisp"))
(add-to-list 'load-path (expand-file-name "C:/Emacs/site-lisp/cedet-1.0pre6/common"))
(add-to-list 'load-path (expand-file-name "C:/Emacs/site-lisp/elib-1.0"))
;(add-to-list 'load-path (expand-file-name "C:/Emacs/site-lisp/ecb-2.32"))
(load-file (expand-file-name "C:/Emacs/site-lisp/cedet-1.0pre6/common/cedet.el"))
;(load-file (expand-file-name "C:/Emacs/site-lisp/ecb-2.32/ecb.el"))

;;------------------------------------------------------------------------------
;;(add-hook 'java-mode-hook 'turn-on-font-lock)
;;java 开发环境


页首
 用户资料  
 
2 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-04-16 16:16 
头像

注册: 2006-11-15 9:35
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
;(require 'font-lock)
;(require 'cedet)
;(require 'ecb)
;(require 'ecb-autoloads)
(require 'jde)

只要require jde或ecb 都报如上错误

google2天无果,多次配置无效
请教解决方法
谢谢


页首
 用户资料  
 
3 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-04-16 16:19 
头像

注册: 2006-11-15 9:35
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
22 23版本安装jde都出现这个错误...
在两台机器上一样出现这个错误
貌似是传说中的rp问题....


页首
 用户资料  
 
4 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-04-16 16:23 
头像

注册: 2006-11-15 9:35
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
xp均为sp3,
乱码是否跟本机器编码有关?
我都是默认安装,何来参数个数错误?
谜啊....


页首
 用户资料  
 
5 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-04-16 16:37 
头像

注册: 2006-11-15 9:35
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
另外 删除jde插件包后 ecb能正常启动
而jde死活安不上..
郁闷啊
时间都耽误在这个上了


页首
 用户资料  
 
6 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-04-16 16:44 
头像

注册: 2006-11-15 9:35
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
jde安装了几种版本 问题依旧......


页首
 用户资料  
 
7 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-04-17 13:36 
头像

注册: 2006-11-15 9:35
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
庸人自扰之啊,我不用jde就得了。。。。。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-04-18 23:27 
头像

注册: 2006-11-15 9:35
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
问题解决..
将ubuntu下配置好的jde目录转到xp下,修改.emacs文件即可
看来还是Jde文件的问题


页首
 用户资料  
 
9 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-04-20 12:47 
头像

注册: 2006-11-15 9:35
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
呵呵自问自答了...
下载了jde2.3.5 删除原来的2.3.5.1版本,也可以配置成功的
不过貌似所有版本的jde 的自动生成setter-getter工具有问题,lisp语言又没精力去学
生命在于折腾...


页首
 用户资料  
 
10 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-05-01 17:47 

注册: 2007-02-05 13:07
帖子: 57
送出感谢: 1
接收感谢: 0 次
遇到同样的问题
安装 ecb jde


页首
 用户资料  
 
11 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2009-05-01 18:26 

注册: 2007-02-05 13:07
帖子: 57
送出感谢: 1
接收感谢: 0 次
un1980 写道:
呵呵自问自答了...
下载了jde2.3.5 删除原来的2.3.5.1版本,也可以配置成功的
不过貌似所有版本的jde 的自动生成setter-getter工具有问题,lisp语言又没精力去学
生命在于折腾...

求jde 2.3.5 下载地址
以及乱码解决方案


页首
 用户资料  
 
12 楼 
 文章标题 : Re: emacs安装jde 和ecb失败,请教出现过此种错误的同志
帖子发表于 : 2010-01-03 19:20 
头像

注册: 2008-06-18 22:02
帖子: 186
送出感谢: 0 次
接收感谢: 1
blackthought 写道:
un1980 写道:
呵呵自问自答了...
下载了jde2.3.5 删除原来的2.3.5.1版本,也可以配置成功的
不过貌似所有版本的jde 的自动生成setter-getter工具有问题,lisp语言又没精力去学
生命在于折腾...

求jde 2.3.5 下载地址
以及乱码解决方案

jde 2.3.5 下载地址
http://download.chinaunix.net/download. ... rceID=5015


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译